// Machine generated IDispatch wrapper class(es) created with ClassWizard

#include "stdafx.h"
#include "wcsdk2.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif



/////////////////////////////////////////////////////////////////////////////
// IIApplication properties

/////////////////////////////////////////////////////////////////////////////
// IIApplication operations

long IIApplication::InitSDK(LPCTSTR strLicense, LPCTSTR strProductKey, LPCTSTR strProductName, long hWnd)
{
	long result;
	static BYTE parms[] =
		VTS_BSTR VTS_BSTR VTS_BSTR VTS_I4;
	InvokeHelper(0x1, DISPATCH_METHOD, VT_I4, (void*)&result, parms,
		strLicense, strProductKey, strProductName, hWnd);
	return result;
}

long IIApplication::ScanCard(LPCTSTR strFilename)
{
	long result;
	static BYTE parms[] =
		VTS_BSTR;
	InvokeHelper(0x2, DISPATCH_METHOD, VT_I4, (void*)&result, parms,
		strFilename);
	return result;
}

long IIApplication::CalibrateScanner()
{
	long result;
	InvokeHelper(0x3, DISPATCH_METHOD, VT_I4, (void*)&result, NULL);
	return result;
}

void IIApplication::UnInitSDK()
{
	InvokeHelper(0x4, DISPATCH_METHOD, VT_EMPTY, NULL, NULL);
}

long IIApplication::ScanCardOnWnd(LPCTSTR strFilename, long hDrawWnd, long x1, long y1, long x2, long y2)
{
	long result;
	static BYTE parms[] =
		VTS_BSTR VTS_I4 VTS_I4 VTS_I4 VTS_I4 VTS_I4;
	InvokeHelper(0x5, DISPATCH_METHOD, VT_I4, (void*)&result, parms,
		strFilename, hDrawWnd, x1, y1, x2, y2);
	return result;
}

long IIApplication::RecogCard(LPCTSTR strFilename, unsigned short wCharSet, long bWithHK, unsigned short wChineseOutputCharSet, long bShowEditDlg)
{
	long result;
	static BYTE parms[] =
		VTS_BSTR VTS_I2 VTS_I4 VTS_I2 VTS_I4;
	InvokeHelper(0x6, DISPATCH_METHOD, VT_I4, (void*)&result, parms,
		strFilename, wCharSet, bWithHK, wChineseOutputCharSet, bShowEditDlg);
	return result;
}

long IIApplication::GetFieldType(long nIndex)
{
	long result;
	static BYTE parms[] =
		VTS_I4;
	InvokeHelper(0x7, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, parms,
		nIndex);
	return result;
}

long IIApplication::GetFieldCount()
{
	long result;
	InvokeHelper(0x8, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
	return result;
}

CString IIApplication::GetFieldString(long nIndex)
{
	CString result;
	static BYTE parms[] =
		VTS_I4;
	InvokeHelper(0x9, DISPATCH_PROPERTYGET, VT_BSTR, (void*)&result, parms,
		nIndex);
	return result;
}

unsigned short IIApplication::GetCharSetInSeq(unsigned long dwSeq)
{
	unsigned short result;
	static BYTE parms[] =
		VTS_I4;
	InvokeHelper(0xa, DISPATCH_PROPERTYGET, VT_I2, (void*)&result, parms,
		dwSeq);
	return result;
}

long IIApplication::GetCharSetCount()
{
	long result;
	InvokeHelper(0xb, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
	return result;
}

long IIApplication::SetMainCaller(long hWnd)
{
	long result;
	static BYTE parms[] =
		VTS_I4;
	InvokeHelper(0xc, DISPATCH_METHOD, VT_I4, (void*)&result, parms,
		hWnd);
	return result;
}

long IIApplication::ScanPhoto(LPCTSTR strFilename)
{
	long result;
	static BYTE parms[] =
		VTS_BSTR;
	InvokeHelper(0xd, DISPATCH_METHOD, VT_I4, (void*)&result, parms,
		strFilename);
	return result;
}

long IIApplication::IsMachineConnected(long* plConnected)
{
	long result;
	static BYTE parms[] =
		VTS_PI4;
	InvokeHelper(0xe, DISPATCH_METHOD, VT_I4, (void*)&result, parms,
		plConnected);
	return result;
}

long IIApplication::IsPaperOn(long* plPaperOn)
{
	long result;
	static BYTE parms[] =
		VTS_PI4;
	InvokeHelper(0xf, DISPATCH_METHOD, VT_I4, (void*)&result, parms,
		plPaperOn);
	return result;
}

long IIApplication::IsNeedCalibrate(long* plNeed)
{
	long result;
	static BYTE parms[] =
		VTS_PI4;
	InvokeHelper(0x10, DISPATCH_METHOD, VT_I4, (void*)&result, parms,
		plNeed);
	return result;
}

void IIApplication::SetFieldLayout(unsigned short wLayout)
{
	static BYTE parms[] =
		VTS_I2;
	InvokeHelper(0x11, DISPATCH_METHOD, VT_EMPTY, NULL, parms,
		 wLayout);
}

long IIApplication::GetActiveType(long* lType)
{
	long result;
	static BYTE parms[] =
		VTS_PI4;
	InvokeHelper(0x12, DISPATCH_METHOD, VT_I4, (void*)&result, parms,
		lType);
	return result;
}

long IIApplication::Duet_InitSDK(LPCTSTR strLicense, LPCTSTR strProductKey, LPCTSTR strProductName, long hWnd)
{
	long result;
	static BYTE parms[] =
		VTS_BSTR VTS_BSTR VTS_BSTR VTS_I4;
	InvokeHelper(0x14, DISPATCH_METHOD, VT_I4, (void*)&result, parms,
		strLicense, strProductKey, strProductName, hWnd);
	return result;
}

long IIApplication::Duet_IsMachineConnected(long* plConnected)
{
	long result;
	static BYTE parms[] =
		VTS_PI4;
	InvokeHelper(0x15, DISPATCH_METHOD, VT_I4, (void*)&result, parms,
		plConnected);
	return result;
}

void IIApplication::Duet_ScanCard(BSTR* pVal)
{
	static BYTE parms[] =
		VTS_PBSTR;
	InvokeHelper(0x16, DISPATCH_METHOD, VT_EMPTY, NULL, parms,
		 pVal);
}

long IIApplication::Duet_SetPreviewHwnd(long hWnd)
{
	long result;
	static BYTE parms[] =
		VTS_I4;
	InvokeHelper(0x17, DISPATCH_METHOD, VT_I4, (void*)&result, parms,
		hWnd);
	return result;
}

long IIApplication::Duet_StartPreview()
{
	long result;
	InvokeHelper(0x18, DISPATCH_METHOD, VT_I4, (void*)&result, NULL);
	return result;
}

long IIApplication::Duet_SetSecondaryCaller(long hWnd)
{
	long result;
	static BYTE parms[] =
		VTS_I4;
	InvokeHelper(0x19, DISPATCH_METHOD, VT_I4, (void*)&result, parms,
		hWnd);
	return result;
}

long IIApplication::Duet_SetPreviewWndPos(long x, long y, long w, long h)
{
	long result;
	static BYTE parms[] =
		VTS_I4 VTS_I4 VTS_I4 VTS_I4;
	InvokeHelper(0x1a, DISPATCH_METHOD, VT_I4, (void*)&result, parms,
		x, y, w, h);
	return result;
}

long IIApplication::Duet_UnInitSDK()
{
	long result;
	InvokeHelper(0x1b, DISPATCH_METHOD, VT_I4, (void*)&result, NULL);
	return result;
}

CString IIApplication::Duet_GetScanedCardBitMap(long dwCardID)
{
	CString result;
	static BYTE parms[] =
		VTS_I4;
	InvokeHelper(0x1c, DISPATCH_METHOD, VT_BSTR, (void*)&result, parms,
		dwCardID);
	return result;
}

long IIApplication::Duet_StopPreview()
{
	long result;
	InvokeHelper(0x1d, DISPATCH_METHOD, VT_I4, (void*)&result, NULL);
	return result;
}

long IIApplication::RecogRect(LPCTSTR strFilename, unsigned short wCharSet, long bWithHK, unsigned short wChineseOutputCharSet, unsigned short x1, unsigned short y1, unsigned short x2, unsigned short y2)
{
	long result;
	static BYTE parms[] =
		VTS_BSTR VTS_I2 VTS_I4 VTS_I2 VTS_I2 VTS_I2 VTS_I2 VTS_I2;
	InvokeHelper(0x1e, DISPATCH_METHOD, VT_I4, (void*)&result, parms,
		strFilename, wCharSet, bWithHK, wChineseOutputCharSet, x1, y1, x2, y2);
	return result;
}

CString IIApplication::GetRectResult()
{
	CString result;
	InvokeHelper(0x1f, DISPATCH_PROPERTYGET, VT_BSTR, (void*)&result, NULL);
	return result;
}

long IIApplication::RecogDoubleSideCard(LPCTSTR strFrontFile, LPCTSTR strBackFile, unsigned short wFrontCharSet, unsigned short wBackCharSet, long bWithHK, unsigned short wChineseOutputCharSet, long bShowEditDlg)
{
	long result;
	static BYTE parms[] =
		VTS_BSTR VTS_BSTR VTS_I2 VTS_I2 VTS_I4 VTS_I2 VTS_I4;
	InvokeHelper(0x20, DISPATCH_METHOD, VT_I4, (void*)&result, parms,
		strFrontFile, strBackFile, wFrontCharSet, wBackCharSet, bWithHK, wChineseOutputCharSet, bShowEditDlg);
	return result;
}

long IIApplication::SetCapture()
{
	long result;
	InvokeHelper(0x21, DISPATCH_METHOD, VT_I4, (void*)&result, NULL);
	return result;
}

void IIApplication::EnableCapitalizeName(long bEnable)
{
	static BYTE parms[] =
		VTS_I4;
	InvokeHelper(0x22, DISPATCH_METHOD, VT_EMPTY, NULL, parms,
		 bEnable);
}

long IIApplication::IsPaperJam(long* plPaperJam)
{
	long result;
	static BYTE parms[] =
		VTS_PI4;
	InvokeHelper(0x23, DISPATCH_METHOD, VT_I4, (void*)&result, parms,
		plPaperJam);
	return result;
}

long IIApplication::ScanCardtoMemoryOnWnd(long bFront, LPCTSTR strFilename, long hDrawWnd, long x1, long y1, long x2, long y2)
{
	long result;
	static BYTE parms[] =
		VTS_I4 VTS_BSTR VTS_I4 VTS_I4 VTS_I4 VTS_I4 VTS_I4;
	InvokeHelper(0x24, DISPATCH_METHOD, VT_I4, (void*)&result, parms,
		bFront, strFilename, hDrawWnd, x1, y1, x2, y2);
	return result;
}

long IIApplication::ScanCardtoMemory(long bFront, LPCTSTR strFilename)
{
	long result;
	static BYTE parms[] =
		VTS_I4 VTS_BSTR;
	InvokeHelper(0x25, DISPATCH_METHOD, VT_I4, (void*)&result, parms,
		bFront, strFilename);
	return result;
}

CString IIApplication::GetScannerPrpo(long nType)
{
	CString result;
	static BYTE parms[] =
		VTS_I4;
	InvokeHelper(0x26, DISPATCH_METHOD, VT_BSTR, (void*)&result, parms,
		nType);
	return result;
}

long IIApplication::InitSDKByKeyPro(LPCTSTR strProductKey, LPCTSTR strProductName, long hWnd)
{
	long result;
	static BYTE parms[] =
		VTS_BSTR VTS_BSTR VTS_I4;
	InvokeHelper(0x27, DISPATCH_METHOD, VT_I4, (void*)&result, parms,
		strProductKey, strProductName, hWnd);
	return result;
}
long IIApplication::DoCheckLocalRegisterFileOK(LPCTSTR strProductKey, LPCTSTR strProductName, long hWnd,LPCTSTR FilePath)
{
	long result;
	static BYTE parms[] =
		VTS_BSTR VTS_BSTR VTS_I4 VTS_BSTR;
	InvokeHelper(0x2A, DISPATCH_METHOD, VT_I4, (void*)&result, parms,
		 strProductKey,  strProductName, hWnd,FilePath);
	return result;
}
void IIApplication::Test()
{
	InvokeHelper(0x28, DISPATCH_METHOD, VT_EMPTY, NULL, NULL);
}
